# Poco

# template < class Key, class Value >

# struct HashMapEntry

Library: Foundation
Package: Hashing
Header: Poco/HashMap.h

## Description

This class template is used internally by HashMap.

## Member Summary

Member Functions: operator !=, operator ==

## Constructors

### HashMapEntry

HashMapEntry();

### HashMapEntry

HashMapEntry(
const Key & key
);

### HashMapEntry

HashMapEntry(
const Key & key,
const Value & value
);

## Member Functions

### operator !=

bool operator != (
const HashMapEntry & entry
) const;

### operator ==

bool operator == (
const HashMapEntry & entry
) const;

## Variables

### first

Key first;

### second

Value second;